Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002861KdenliveUser Interfacepublic2012-12-08 08:092013-01-28 19:51
Reporterevorster 
Assigned Toj-b-m 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64OSLinuxOS Version3.4.20
Product VersionRecent git 
Target VersionFixed in Version0.9.4 
Summary0002861: Selecting render segfaults kdenlive
DescriptionI have a project file that reliably crashes kdenlive v0.9.2-292-gbd2c5c0
Steps To Reproduce1. Load project
2. hit "render" button.
Additional InformationWhen I hit "render" kdenlive segfaults.

Strangely enough, if I open another project, hit "render" to bring up the rendering window, and then load the project that crashes kdenlive, I am actually able to render the project.

The attached project uses footage from four different cameras, with different capabilities. One camera has less resolution, another a lower framerate with a slightly higher resolution than the project. I'm not sure if it matters. The footage involved also ranges from 2s to 34minutes in length.
The cameras in question are GoPro Hero HD, GoPro Hero 3 Black Edition, Canon Rebel 2Ti, and a Panasonic TM900
TagsNo tags attached.
Build/Install MethodManual build from Git
Attached Files? file icon 11_Dune_Drive.kdenlive [^] (75,724 bytes) 2012-12-08 08:09

- Relationships
has duplicate 0002880closedj-b-m Kdenlive exits without comments after clicking on rendern (fileformat independent) 

-  Notes
(0008700)
evorster (reporter)
2012-12-08 08:32

I did a gdb on kdenlive, and thread apply all bt when it segfaulted.

Then I spent a few minutes holding down enter to get to the last page.

They all look pretty similar, and this is the text from the last page.

Hope it helps!


---Type <return> to continue, or q <return> to quit---
#51344 0x00007ffff54ac4b9 in QWidget::render(QPaintDevice*, QPoint const&, QRegion const&, QFlags<QWidget::RenderFlag>) () from /usr/lib64/libQtGui.so.4
#51345 0x00007ffff7a7563b in KMessageWidgetPrivate::updateSnapShot() () from /usr/lib64/libkdeui.so.5
#51346 0x00007ffff7a757a1 in KMessageWidget::resizeEvent(QResizeEvent*) () from /usr/lib64/libkdeui.so.5
#51347 0x00007ffff54adf06 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#51348 0x00007ffff5856df6 in QFrame::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#51349 0x00007ffff545e79c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#51350 0x00007ffff5462c1a in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#51351 0x00007ffff79b9676 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#51352 0x00007ffff4a81b8e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#51353 0x00007ffff54a8806 in QWidgetPrivate::sendPendingMoveAndResizeEvents(bool, bool) () from /usr/lib64/libQtGui.so.4
#51354 0x00007ffff54abc2b in QWidgetPrivate::activateChildLayoutsRecursively() () from /usr/lib64/libQtGui.so.4
#51355 0x00007ffff54abcda in QWidgetPrivate::activateChildLayoutsRecursively() () from /usr/lib64/libQtGui.so.4
#51356 0x00007ffff54abcda in QWidgetPrivate::activateChildLayoutsRecursively() () from /usr/lib64/libQtGui.so.4
#51357 0x00007ffff54abcda in QWidgetPrivate::activateChildLayoutsRecursively() () from /usr/lib64/libQtGui.so.4
#51358 0x00007ffff54abcda in QWidgetPrivate::activateChildLayoutsRecursively() () from /usr/lib64/libQtGui.so.4
#51359 0x00007ffff54abef0 in QWidgetPrivate::prepareToRender(QRegion const&, QFlags<QWidget::RenderFlag>) () from /usr/lib64/libQtGui.so.4
#51360 0x00007ffff54ac076 in QWidgetPrivate::render(QPaintDevice*, QPoint const&, QRegion const&, QFlags<QWidget::RenderFlag>, bool) ()
   from /usr/lib64/libQtGui.so.4
#51361 0x00007ffff54ac4b9 in QWidget::render(QPaintDevice*, QPoint const&, QRegion const&, QFlags<QWidget::RenderFlag>) () from /usr/lib64/libQtGui.so.4
#51362 0x00007ffff7a7563b in KMessageWidgetPrivate::updateSnapShot() () from /usr/lib64/libkdeui.so.5
#51363 0x00007ffff7a762b0 in KMessageWidget::animatedShow() () from /usr/lib64/libkdeui.so.5
#51364 0x00000000006e63aa in RenderWidget::refreshView() [clone .part.36] ()
#51365 0x00000000006e6862 in RenderWidget::refreshCategory() ()
#51366 0x00000000006e706c in RenderWidget::setRenderProfile(QMap<QString, QString>) ()
#51367 0x00000000004e2915 in MainWindow::slotRenderProject() ()
#51368 0x00000000004fdb2a in MainWindow::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.134] ()
#51369 0x00007ffff4a96f8f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#51370 0x00007ffff5458592 in QAction::triggered(bool) () from /usr/lib64/libQtGui.so.4
#51371 0x00007ffff5458780 in QAction::activate(QAction::ActionEvent) () from /usr/lib64/libQtGui.so.4
#51372 0x00007ffff581683f in ?? () from /usr/lib64/libQtGui.so.4
#51373 0x00007ffff5816aec in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib64/libQtGui.so.4
#51374 0x00007ffff58d0aca in QToolButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib64/libQtGui.so.4
#51375 0x00007ffff54adf20 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#51376 0x00007ffff545e79c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#51377 0x00007ffff546347b in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#51378 0x00007ffff79b9676 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#51379 0x00007ffff4a81b8e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#51380 0x00007ffff545f5db in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) ()
   from /usr/lib64/libQtGui.so.4
#51381 0x00007ffff54da2b4 in ?? () from /usr/lib64/libQtGui.so.4
#51382 0x00007ffff54d8bb1 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#51383 0x00007ffff54fe862 in ?? () from /usr/lib64/libQtGui.so.4




#51384 0x00007fffed721e55 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#51385 0x00007fffed722188 in g_main_context_iterate.isra.24 () from /usr/lib64/libglib-2.0.so.0
#51386 0x00007fffed722244 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#51387 0x00007ffff4aafc06 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#51388 0x00007ffff54fe4ee in ?? () from /usr/lib64/libQtGui.so.4
#51389 0x00007ffff4a808df in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#51390 0x00007ffff4a80b68 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#51391 0x00007ffff4a85808 in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
#51392 0x0000000000458c64 in main ()
(0008725)
j-b-m (administrator)
2012-12-10 23:28

Good catch! Should be fixed now in git, please test if you can
(0008728)
evorster (reporter)
2012-12-11 06:17

It is fixed, now.

Thanks for the quick response!

-Evert-

- Issue History
Date Modified Username Field Change
2012-12-08 08:09 evorster New Issue
2012-12-08 08:09 evorster File Added: 11_Dune_Drive.kdenlive
2012-12-08 08:32 evorster Note Added: 0008700
2012-12-10 23:28 j-b-m Note Added: 0008725
2012-12-10 23:28 j-b-m Assigned To => j-b-m
2012-12-10 23:28 j-b-m Status new => feedback
2012-12-11 06:17 evorster Note Added: 0008728
2012-12-11 06:17 evorster Status feedback => assigned
2012-12-12 01:31 j-b-m Status assigned => resolved
2012-12-12 01:31 j-b-m Fixed in Version => Recent git
2012-12-12 01:31 j-b-m Resolution open => fixed
2012-12-18 15:33 j-b-m Relationship added has duplicate 0002880
2013-01-28 19:49 j-b-m Fixed in Version Recent git => 0.9.4
2013-01-28 19:51 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker